org.apache.sysds.runtime.util

## Class BinaryBlockInputFormat

- java.lang.Object
- - org.apache.hadoop.mapred.FileInputFormat<K,V>
  - - org.apache.hadoop.mapred.SequenceFileInputFormat<MatrixIndexes,MatrixBlock>
    - - org.apache.sysds.runtime.util.BinaryBlockInputFormat

All Implemented Interfaces:
  org.apache.hadoop.mapred.InputFormat<MatrixIndexes,MatrixBlock>

    public class BinaryBlockInputFormat
    extends org.apache.hadoop.mapred.SequenceFileInputFormat<MatrixIndexes,MatrixBlock>

Custom binary block input format to return the custom record reader.

NOTE: Not used by default.

NOTE: Used for performance debugging of binary block HDFS reads.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat

`org.apache.hadoop.mapred.FileInputFormat.Counter`

### Field Summary

### Fields inherited from class org.apache.hadoop.mapred.FileInputFormat

`INPUT_DIR_RECURSIVE, LOG, NUM_INPUT_FILES`

### Constructor Summary

Constructors
Constructor and Description
`BinaryBlockInputFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.mapred.RecordReader<MatrixIndexes,MatrixBlock>` `getRecordReader(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.JobConf job, org.apache.hadoop.mapred.Reporter reporter)`

### Methods inherited from class org.apache.hadoop.mapred.FileInputFormat

`addInputPath, addInputPaths, getInputPathFilter, getInputPaths, getSplits, setInputPathFilter, setInputPaths, setInputPaths`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryBlockInputFormat

    public BinaryBlockInputFormat()

### Method Detail

#### getRecordReader

    public org.apache.hadoop.mapred.RecordReader<MatrixIndexes,MatrixBlock> getRecordReader(org.apache.hadoop.mapred.InputSplit split,
                                                                                            org.apache.hadoop.mapred.JobConf job,
                                                                                            org.apache.hadoop.mapred.Reporter reporter)
                                                                                     throws IOException

Specified by:
  `getRecordReader` in interface `org.apache.hadoop.mapred.InputFormat<MatrixIndexes,MatrixBlock>`
Overrides:
  `getRecordReader` in class `org.apache.hadoop.mapred.SequenceFileInputFormat<MatrixIndexes,MatrixBlock>`
Throws:
  `IOException`